summaryrefslogtreecommitdiff
path: root/.local/bin/notifyd
diff options
context:
space:
mode:
authorLuke Shumaker <LukeShu@sbcglobal.net>2012-08-22 20:44:04 -0400
committerLuke Shumaker <LukeShu@sbcglobal.net>2012-08-22 20:44:04 -0400
commitad482d55d2f60cf3c91c9014b934af7ea30b4d88 (patch)
tree79bb00ec5be01214f1ebc99509308f2083c17717 /.local/bin/notifyd
parent2f550711d01c7aa731d75edca9bc4d2a1f718045 (diff)
parent510fea7116c6bd01824af38b4e516b6e19fded81 (diff)
Merge branch 'master' into build64-par
Conflicts: .crontab
Diffstat (limited to '.local/bin/notifyd')
-rwxr-xr-x.local/bin/notifyd14
1 files changed, 14 insertions, 0 deletions
diff --git a/.local/bin/notifyd b/.local/bin/notifyd
new file mode 100755
index 0000000..ddd5971
--- /dev/null
+++ b/.local/bin/notifyd
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+connected_to_x_server() {
+ xdpyinfo &>/dev/null
+ return $?
+}
+
+start_backend() {
+ /usr/lib/xfce4/notifyd/xfce4-notifyd
+}
+
+while connected_to_x_server; do
+ start_backend
+done